#include <LiquidCrystal.h>

LiquidCrystal lcd(12, 11, 10, 9, 8, 7);

int current_line = 1;
int current_col = 3;

byte fishbl[] = {
  B00011,
  B00111,
  B01111,
  B01111,
  B00110,
  B00000,
  B00000,
  B00000
};

byte fishbr[] = {
  B11000,
  B11100,
  B11110,
  B11110,
  B01100,
  B00000,
  B00000,
  B00000
};

byte fishml[] = {
  B11111,
  B11111,
  B11111,
  B01111,
  B01111,
  B00111,
  B00111,
  B00011
};

byte fishmr[] = {
  B11111,
  B11111,
  B11111,
  B11110,
  B11110,
  B11100,
  B11100,
  B11000

};

byte fishtl[] = {
  B00000,
  B00000,
  B00000,
  B00011,
  B00111,
  B01111,
  B01111,
  B11111
};

byte fishtr[] = {
  B00000,
  B00000,
  B00000,
  B11000,
  B11100,
  B11110,
  B11110,
  B11111
};

void setup() {
  
  Serial.begin(9600);
  lcd.begin(20, 4);

  lcd.setCursor(0,0);
    lcd.print("--------------------");
  lcd.setCursor(0,1);
    lcd.print("Aquaponics Fish Tank");
  lcd.setCursor(0,2);
    lcd.print("... In Development");
  lcd.setCursor(0,3);
    lcd.print("--------------------");

  delay(5000);
  lcd.clear();
}

void loop() {
  
   lcd.createChar(1,fishtl);
   lcd.createChar(2,fishtr);
   lcd.createChar(3,fishml);
   lcd.createChar(4,fishmr);
   lcd.createChar(5,fishbl);
   lcd.createChar(6,fishbr);

 lcd.setCursor(0,0); 
   lcd.print("Aquaponics Fish Tank");

  lcd.setCursor(0,1);  
    lcd.write(1);
  lcd.setCursor(1,1);
    lcd.write(2);
  lcd.setCursor(0,2);
    lcd.write(3);
  lcd.setCursor(1,2);
    lcd.write(4);
  lcd.setCursor(0,3);
    lcd.write(5);
  lcd.setCursor(1,3);
    lcd.write(6);

  lcd.setCursor(3,1);
    lcd.print("Temp =");
  lcd.setCursor(3,2);
    lcd.print("Humidity =");
  lcd.setCursor(3,3);
    lcd.print("PH =");
}
